Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Compiler Tree API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.source.tree
Interface Tree

All Known Subinterfaces:
  AnnotationTree, ArrayAccessTree, ArrayTypeTree, AssertTree, AssignmentTree, BinaryTree, BlockTree, BreakTree, CaseTree, CatchTree, ClassTree, CompilationUnitTree, CompoundAssignmentTree, ConditionalExpressionTree, ContinueTree, DoWhileLoopTree, EmptyStatementTree, EnhancedForLoopTree, ErroneousTree, ExpressionStatementTree, ExpressionTree, ForLoopTree, IdentifierTree, IfTree, ImportTree, InstanceOfTree, LabeledStatementTree, LiteralTree, MemberSelectTree, MethodInvocationTree, MethodTree, ModifiersTree, NewArrayTree, NewClassTree, ParameterizedTypeTree, ParenthesizedTree, PrimitiveTypeTree, ReturnTree, StatementTree, SwitchTree, SynchronizedTree, ThrowTree, TryTree, TypeCastTree, TypeParameterTree, UnaryTree, VariableTree, WhileLoopTree, WildcardTree

    public interface Tree

Common interface for all nodes in an abstract syntax tree.

WARNING: This interface and its sub-interfaces are subject to change as the Java™ programming language evolves. These interfaces are implemented by Sun's Java compiler (javac) and should not be implemented either directly or indirectly by other applications.

Since:
  1.6

Nested Class Summary
`static class` | `Tree.Kind` Enumerates all kinds of trees.

Method Summary
`
`<R,D> R`
` | `accept(TreeVisitor<R,D> visitor, D data)` Accept method used to implement the visitor pattern.
`Tree.Kind` | `getKind()` Gets the kind of this tree.

Method Detail

### getKind

    Tree.Kind getKind()

  Gets the kind of this tree.

  Returns:
    the kind of this tree.

### accept

    <R,D> R accept(TreeVisitor<R,D> visitor,
                   D data)

  Accept method used to implement the visitor pattern. The visitor pattern is used to implement operations on trees.

  Type Parameters:
    `R` - result type of this operation.
    `D` - type of additonal data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Compiler Tree API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2009 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.